<div class="row justify-content-center">
    <div class="col-8">
        <div *ngIf="detailUser">
            <h2><span jhiTranslate="bikeBackendApp.detailUser.detail.title">Detail User</span> {{ detailUser.id }}</h2>

            <hr>

            <jhi-alert-error></jhi-alert-error>

            <dl class="row-md jh-entity-details">
                <dt><span jhiTranslate="bikeBackendApp.detailUser.documentType">Document Type</span></dt>
                <dd>
                    <span jhiTranslate="{{ 'bikeBackendApp.DocumentType.' + detailUser.documentType }}">{{ detailUser.documentType }}</span>
                </dd>
                <dt><span jhiTranslate="bikeBackendApp.detailUser.documentNumber">Document Number</span></dt>
                <dd>
                    <span>{{ detailUser.documentNumber }}</span>
                </dd>
                <dt><span jhiTranslate="bikeBackendApp.detailUser.expeditionDate">Expedition Date</span></dt>
                <dd>
                    <span>{{ detailUser.expeditionDate }}</span>
                </dd>
                <dt><span jhiTranslate="bikeBackendApp.detailUser.cellphone">Cellphone</span></dt>
                <dd>
                    <span>{{ detailUser.cellphone }}</span>
                </dd>
                <dt><span jhiTranslate="bikeBackendApp.detailUser.gender">Gender</span></dt>
                <dd>
                    <span jhiTranslate="{{ 'bikeBackendApp.Gender.' + detailUser.gender }}">{{ detailUser.gender }}</span>
                </dd>
                <dt><span jhiTranslate="bikeBackendApp.detailUser.image">Image</span></dt>
                <dd>
                    <div *ngIf="detailUser.image">
                        <a (click)="openFile(detailUser.imageContentType, detailUser.image)">
                            <img [src]="'data:' + detailUser.imageContentType + ';base64,' + detailUser.image" style="max-width: 100%;" alt="detailUser image"/>
                        </a>
                        {{ detailUser.imageContentType }}, {{ byteSize(detailUser.image) }}
                    </div>
                </dd>
                <dt><span jhiTranslate="bikeBackendApp.detailUser.birthdate">Birthdate</span></dt>
                <dd>
                    <span>{{ detailUser.birthdate }}</span>
                </dd>
                <dt><span jhiTranslate="bikeBackendApp.detailUser.user">User</span></dt>
                <dd>
                    {{ detailUser.userFirstName }}
                </dd>
            </dl>

            <button type="submit"
                    (click)="previousState()"
                    class="btn btn-info">
                <fa-icon icon="arrow-left"></fa-icon>&nbsp;<span jhiTranslate="entity.action.back">Back</span>
            </button>

            <button type="button"
                    [routerLink]="['/detail-user', detailUser.id, 'edit']"
                    class="btn btn-primary">
                <fa-icon icon="pencil-alt"></fa-icon>&nbsp;<span jhiTranslate="entity.action.edit">Edit</span>
            </button>
        </div>
    </div>
</div>
